'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _bluebird = require('bluebird');

var _nedb = require('nedb');

var _nedb2 = _interopRequireDefault(_nedb);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bluebird.Promise.promisifyAll(_nedb2.default.prototype);

var Database = function () {
  function Database(options) {
    (0, _classCallCheck3.default)(this, Database);

    this._db = new _nedb2.default({ filename: _path2.default.join(options.dataDir, '/db/' + options.dbName + '.db'), autoload: true });
    this._db.persistence.setAutocompactionInterval(60 * 1000);
  }

  (0, _createClass3.default)(Database, [{
    key: 'db',
    get: function get() {
      return this._db;
    }
  }]);
  return Database;
}();

exports.default = Database;